### Method

# Gtk TextView forward_display_line_end

#### Declaration [src]

    gboolean
    gtk_text_view_forward_display_line_end (
      GtkTextView* text_view,
      GtkTextIter* iter
    )

#### Description [src]

Moves the given `iter` forward to the next display line end.

A display line is different from a paragraph. Paragraphs are separated by newlines or other paragraph separator characters. Display lines are created by line-wrapping a paragraph. If wrapping is turned off, display lines and paragraphs will be the same. Display lines are divided differently for each view, since they depend on the view’s width; paragraphs are the same in all views, since they depend on the contents of the `GtkTextBuffer`.

#### Parameters

`iter` | `GtkTextIter`
| A `GtkTextIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `iter` was moved and is not on the end iterator.